Bug 1190669 (CVE-2021-34798)

Summary: VUL-0: CVE-2021-34798: apache2: httpd: NULL pointer dereference via malformed requests
Product: [Novell Products] SUSE Security Incidents Reporter: Gabriele Sonnu <gabriele.sonnu>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/310293/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-34798:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Gabriele Sonnu 2021-09-20 12:46:16 UTC
Malformed requests may cause the server to dereference a NULL pointer. This issue affects Apache HTTP Server 2.4.48 and earlier.

Reference:
http://httpd.apache.org/security/vulnerabilities_24.html

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2005128
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-34798
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-34798
http://httpd.apache.org/security/vulnerabilities_24.html
Comment 1 Gabriele Sonnu 2021-09-20 12:48:47 UTC
Affected packages:

 - SUSE:SLE-11-SP1:Update/apache2  2.2.34
 - SUSE:SLE-12-SP2:Update/apache2  2.4.23
 - SUSE:SLE-15-SP2:Update/apache2  2.4.43
 - SUSE:SLE-15:Update/apache2      2.4.33
 - openSUSE:Factory/apache2        2.4.48

Upstream released a new version (2.4.49) to fix the issue. Is not clear from
the repository history which commits contain the fix.
I extracted a list of related commits, but I may have missed something. Please
analyze the new version in order to create the patches.

[0] https://github.com/apache/httpd/commit/d4f195853b895eefcc5632463f4a2c1062d1d08a
[1] https://github.com/apache/httpd/commit/e8dce10f62eacdca2daf3750223c17a91e3a3467
[2] https://github.com/apache/httpd/commit/74c097f0e1d9ffce5a74f5b99a2cbfc349b65ec6
[3] https://github.com/apache/httpd/commit/6945bb23babfd87f53cd94cbc0d4eb0d03f7965d
Comment 3 Petr Gajdos 2021-09-21 10:24:49 UTC
(In reply to Petr Gajdos from comment #2)
> I bet on
> https://github.com/apache/httpd/commit/
> fa7b2a5250e54363b3a6c8ac3aaa7de4e8da9b2e

Confirmed with upstream.
Comment 4 Petr Gajdos 2021-09-21 10:26:50 UTC
Affected with this CVE: 15sp2,15,12sp2/apache2
Will be fixed soon: TW/apache2
Appears not to be affected: 11sp1/apache2.
Comment 5 Petr Gajdos 2021-09-21 10:27:11 UTC
Will submit for: 15sp2,15,12sp2/apache2.
Comment 6 Petr Gajdos 2021-09-22 12:08:02 UTC
Packages submitted.

I believe all fixed.
Comment 9 Swamp Workflow Management 2021-10-06 19:36:27 UTC
SUSE-SU-2021:3299-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190703
CVE References: CVE-2021-34798,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    apache2-2.4.23-29.80.1
SUSE OpenStack Cloud Crowbar 8 (src):    apache2-2.4.23-29.80.1
SUSE OpenStack Cloud 9 (src):    apache2-2.4.23-29.80.1
SUSE OpenStack Cloud 8 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP5 (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    apache2-2.4.23-29.80.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    apache2-2.4.23-29.80.1
HPE Helion Openstack 8 (src):    apache2-2.4.23-29.80.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-10-12 10:17:25 UTC
SUSE-SU-2021:3335-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1189387,1190666,1190669,1190702,1190703
CVE References: CVE-2021-33193,CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server for SAP 15 (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise Server 15-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache2-2.4.33-3.55.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache2-2.4.33-3.55.1
SUSE Enterprise Storage 6 (src):    apache2-2.4.33-3.55.1
SUSE CaaS Platform 4.0 (src):    apache2-2.4.33-3.55.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-10-26 19:17:38 UTC
SUSE-SU-2021:3522-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190702,1190703
CVE References: CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Server Applications 15-SP2 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    apache2-2.4.43-3.32.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    apache2-2.4.43-3.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-10-26 19:20:34 UTC
openSUSE-SU-2021:3522-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190702,1190703
CVE References: CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    apache2-2.4.43-3.32.1
Comment 14 Swamp Workflow Management 2021-11-02 17:29:17 UTC
openSUSE-SU-2021:1438-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1190666,1190669,1190702,1190703
CVE References: CVE-2021-34798,CVE-2021-36160,CVE-2021-39275,CVE-2021-40438
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    apache2-2.4.43-lp152.2.21.1